<div class="wrap">
    <div id="rap-container">
        <div id="rap-sidebar">
            <div id="rap-logo">
                <img src="<?php echo get_template_directory_uri() ?>/functions/admin/include/images/logo.jpg" alt="گروه طراحی ردینا">
            </div>
            <nav id="rap-navigation">
                <ul>
                    <li>
                        <?php
                            $redina_admin_url = get_admin_url( null, 'admin.php?page=redina_theme_settings' );
                            $redina_active_link = ($_GET['page'] == 'redina_theme_settings') ? "id='active'" : '';
                        ?>
                        <a href="<?php echo $redina_admin_url; ?>" <?php echo $redina_active_link; ?>>تنظیمات عمومی</a>
                    </li>

                    <li>
                        <?php
                        $redina_admin_url = get_admin_url( null, 'admin.php?page=redina_home_settings' );
                        $redina_active_link = ($_GET['page'] == 'redina_home_settings') ? "id='active'" : '';
                        ?>
                        <a href="<?php echo $redina_admin_url; ?>" <?php echo $redina_active_link; ?>>تنظیمات خانه</a>
                    </li>
                    <li>
                        <?php
                            $redina_admin_url = get_admin_url( null, 'admin.php?page=redina_social_settings' );
                            $redina_active_link = ($_GET['page'] == 'redina_social_settings') ? "id='active'" : '';
                        ?>
                        <a href="<?php echo $redina_admin_url; ?>" <?php echo $redina_active_link; ?>>تنظیمات شبکه های اجتماعی</a>
                    </li>
                    <li>
                        <?php
                        $redina_admin_url = get_admin_url( null, 'admin.php?page=redina_about_me_settings' );
                        $redina_active_link = ($_GET['page'] == 'redina_about_me_settings') ? "id='active'" : '';
                        ?>
                        <a href="<?php echo $redina_admin_url; ?>" <?php echo $redina_active_link; ?>>درباره من</a>
                    </li>
                    <li>
                        <?php
                        $redina_admin_url = get_admin_url( null, 'admin.php?page=redina_resume_settings' );
                        $redina_active_link = ($_GET['page'] == 'redina_resume_settings') ? "id='active'" : '';
                        ?>
                        <a href="<?php echo $redina_admin_url; ?>" <?php echo $redina_active_link; ?>>رزومه</a>
                    </li>
                    <li>
                        <?php
                            $redina_admin_url = get_admin_url( null, 'admin.php?page=redina_theme_support' );
                            $redina_active_link = ($_GET['page'] == 'redina_theme_support') ? "id='active'" : '';
                        ?>
                        <a href="<?php echo $redina_admin_url; ?>" <?php echo $redina_active_link; ?>>ارتباط با پشتیبانی</a>
                    </li>
                </ul>
            </nav>
            <div id="copy-right">
                <span>Copyright</span> <a href="http://redina.ir" target="_blank">Redina.ir</a> <span>| <?php echo date('Y'); ?></span>
            </div>
        </div>
        <div id="rap-main" class="rap-main">

            <?php if ($redina_options == 'redina_theme_support') : ?>
            <div class="rap-header">
                <h3><?php echo $redina_options_name; ?></h3>
            </div>
            <hr>
            <div class="rap-box">
                <div class="box-section full">
                    <div class="row no-height">
                        <p>در صورت نیاز به پشتیبانی محصول، درخواست های خود را از بخش پشتیبانی <a href="http://redina.ir" target="_blanck">وبسایت ردینا</a> ارسال نمایید.</p>
                    </div>
                </div>
            </div>
            <?php
                else :

                // Save and Reset
                if(isset($_POST['redina-save'])) {
                    foreach ($redina_options as $value) {
                        update_option( $value['id'], $_REQUEST[ $value['id'] ] );
                    }
                    foreach ($redina_options as $value) {
                        if(isset( $_REQUEST[ $value['id'] ] )) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
                    }
                    $message = 'تنظیمات قالب ذخیره شد.';
                } if(isset($_POST['redina-reset'])) {
                    foreach ($redina_options as $value) {
                        delete_option( $value['id'] );
                    }
                    foreach ($redina_options as $value) {
                        update_option( $value['id'], $value['default'] );
                    }
                    $message = 'تنظیمات قالب بازنشانی شد.';
                }
            ?>
            <form id="redina-form" method="post" action="<?php echo esc_attr( $_SERVER['REQUEST_URI'] ) ?>" enctype="multipart/form-data">
                <div class="rap-header">
                    <div id="js-warning" class="error">
                        <p>برای استفاده از پنل تنظیمات قالب باید جاوا اسکریپت مرورگر شما فعال باشد.</p>
                    </div>
                    <?php if (isset($message)) : ?>
                    <div class="notice notice-success is-dismissible">
                        <p><?php echo $message; ?></p>
                    </div>
                    <?php endif; ?>
                    <h3><?php echo $redina_options_name; ?></h3>
                    <div id="save">
                        <input id="redina-save" name="redina-save" type="submit" value="ذخیره تنظیمات">
                        <input id="redina-reset" name="redina-reset" type="submit" value="بازنشانی تنظیمات">
                    </div>
                </div>
                <hr>
                <?php
                    foreach ($redina_options as $value) {
                        switch ( $value['type'] ) {
                        case "section_name": ?>
                            <h3><?php echo $value['name']; ?></h3>
                        <?php break;
                        case "box_start": ?>
                        <div class="rap-box">
                            <?php if ($value['name'] != "") { ?>
                            <h4><?php echo $value['name']; ?></h4>
                            <?php } ?>
                            <div class="box-section">
                        <?php break;
                        case "box_start_fl": ?>
                        <div class="rap-box">
                            <?php if ($value['name'] != "") { ?>
                            <h4><?php echo $value['name']; ?></h4>
                            <?php } ?>
                            <div class="box-section full">
                        <?php break;
                        case "box_end": ?>
                            </div>
                        </div>
                        <?php break;
                        case "box_end_sw": ?>
                        </div>
                        <?php break;
                        case "text": ?>
                                <div class="row">
                                    <span><?php echo $value['desc']; ?></span>
                                </div>
                        <?php break;
                        case 'checkbox':
                            $data = get_option( $value['id'] );
                            $data = (isset($data)) ? $data : 'off';

                            $cb_enabled = $cb_disabled = '';//no errors, please

                            //Get selected
                            if ($data == 'on'){
                                $cb_enabled = ' selected';
                                $cb_disabled = '';
                            } else {
                                $cb_enabled = '';
                                $cb_disabled = ' selected';
                            }
                        ?>
                            </div>
                            <div class="sw">
                                <div class="rap-switch">
                                    <label class="cb-enable<?php echo $cb_enabled; ?>" data-id="<?php echo $value['id']; ?>"></label>
                                    <label class="cb-disable<?php echo $cb_disabled; ?>" data-id="<?php echo $value['id']; ?>"></label>
                                    <input type="hidden" class="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="0"/>
                                    <input type="checkbox" id="<?php echo $value['id']; ?>" class="main_checkbox" name="<?php echo $value['id']; ?>" value="on" <?php checked($data, 'on', true); ?> />
                                </div>
                            </div>
                        <?php break;
                        case 'select': ?>
                                <div class="row">
                                    <span><?php echo $value['name']; ?>:</span>
                                    <select name="<?php echo $value['id']; ?>" class="<?php echo $value['class']; ?>">
                                    <?php foreach ($value['options'] as $option) { ?>
                                        <option <?php if(get_option( $value['id'] ) == $option) { echo 'selected="selected"'; } ?>>
                                            <?php echo $option; ?>
                                        </option>
                                    <?php } ?>
                                    </select>
                                </div>
                        <?php break;
                        case 'multiselect':
                            $data = get_option( $value['id'] );
                        ?>
                                <div class="row">
                                <?php if( !empty( $value['name'] ) ) { ?>
                                        <label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?>:</label>
                                <?php } ?>
                                <select name="<?php echo $value['id']; ?>[]" id="<?php echo $value['id']; ?>" class="multi wide" multiple="multiple">
                                <?php foreach ($value['options'] as $select_ID => $option) {
                                    $selected = false;
                                    // For fully support past version
                                    if ( is_array($data) ) {
                                        if ( in_array($select_ID, $data) ) $selected = true;
                                    } else {
                                        if ( selected($data, $select_ID, false) ) $selected = true;
                                    }
                                ?>
                                    <option id="<?php echo $select_ID; ?>" value="<?php echo $select_ID; ?>" <?php selected($selected, true, true); ?>><?php echo $option; ?></option>
                                <?php } ?>
                                </select>
                                </div>
                        <?php break;
                        case 'input': ?>
                                <div class="row">
                                    <input type="text" name="<?php echo $value['id']; ?>" value="<?php if(get_option( $value['id'] ) != "") { echo stripslashes(get_option( $value['id']) ); } else { echo $value['default']; } ?>">
                                </div>
                        <?php break;
                        case 'textarea': ?>
                                <div class="row">
                                    <textarea name="<?php echo $value['id']; ?>"><?php if(get_option( $value['id'] ) != "") { echo stripslashes(get_option( $value['id']) ); } else { echo $value['default']; } ?></textarea>
                                </div>
                        <?php break;
                        case 'upload': ?>
                                <div class="row">
                                    <?php if($value['name'] != "") { ?><span><?php echo $value['name']; ?>:</span><?php } ?>
                                    <input id="<?php echo $value['id']; ?>" class="up-input ltr tahoma" type="text" name="<?php echo $value['id']; ?>" value="<?php if(get_option( $value['id'] ) != "") { echo stripslashes(get_option( $value['id']) ); } else { echo $value['default']; } ?>">
                                    <span data-uploader_title="آپلود" data-uploader_button_text="انتخاب" id="<?php echo $value['id']; ?>_button" class="up-button button-secondary">آپلود</span>
                                </div>
                        <?php break;
                        case 'radio':

            $i = 0;
            $data = get_option( $value['id'] );
            $select_value = (isset($data)) ? $data : '';
            ?>
            <div class="row">
            <?php
            foreach ($value['options'] as $key => $option) {
            $i++;

                $checked = '';
                $selected = '';
                if (checked($select_value, $key, false) != NULL) {
                    $checked = checked($select_value, $key, false);
                    $selected = 'radio-img-selected';
                } elseif ( empty($select_value) && checked($key, $value['default'], false) != NULL ) {
                    $checked = checked($value['default'], $key, false);
                    $selected = 'radio-img-selected';
                }
            ?>
                <div class="rap-image-checkbox radio-img layout <?php echo $selected; ?>">
                <input type="radio" id="radio-img-<?php echo $value['id'].$i; ?>" class="radio-img-radio" value="<?php echo $key; ?>" name="<?php echo $value['id']; ?>" <?php echo $checked; ?>>
                <div class="circle" onClick="document.getElementById('radio-img-<?php echo $value['id'].$i; ?>').checked = true;"></div>
                <img src="<?php echo $option; ?>" alt="<?php echo $key; ?>" class="radio-img-img">
                </div>
            <?php } ?>
            </div>

                        <?php break;
                        }
                    }
                ?>
            </form>
            <?php endif; ?>

            <div class="loading"></div>
        </div>
    </div>
</div>